View Issue Details

IDProjectCategoryView StatusLast Update
0000375ascendcompilerpublic2011-04-04 14:53
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version0.9.8 
Summary0000375: graphviz linkage should be dlopen so that it need not be present at runtime
DescriptionWe make use of the library GraphViz to plot cool dependency graphs from ASCEND, showing how the block lower-triangular structure actually leads to a calculation process for the user's model.

Currently, if you build against GraphViz, the it results in libascend functionality that links directly to GraphViz. This is bad architecture -- this stuff is not core ASCEND functionality and shouldn't require linking from libascend. We should move the graphviz stuff out into an 'external library' (ASCEND plugin) and invoke all the necessary GraphViz calls from there.

Problem is that this might require some small enhancements to the current ASCEND API for external libraries, eg so that GUI menu items can be aware of whether or not a certain feature is operable.

TagsNo tags attached.

Relationships

related to 0000443 resolvedjohn Newer GraphViz versions not compatible with ASCEND code 
child of 0000326 confirmedjohn FILE* issues with python bindings on Windows 

Activities

john

2010-04-06 20:55

administrator   ~0000622

I have been told that more recent releases of GraphViz use a different API to the 'agraph' one used in the current ASCEND. As part of this bug-fix, it might be appropriate to review this issue as well.

john

2011-03-23 09:12

administrator   ~0000695

Some patches for dlopen behaviour submitted to the ascend-sim-users mailing list by Divyanshu Bandil. We are in the process of checking the proposed changes on an Ubuntu 10.10 VM.

john

2011-03-23 16:41

administrator   ~0000696

This is fixed as of changeset 3318, although testing on Windows is still required.

john

2011-04-04 14:53

administrator   ~0000710

Fixed, although bug 0000326 still prevents use on Windows.

Issue History

Date Modified Username Field Change
2008-02-28 09:55 john New Issue
2008-02-28 09:55 john Target release => 0.9.6
2009-06-16 20:26 john Status new => assigned
2009-06-16 20:26 john Assigned To => john
2010-02-24 18:24 john Assigned To john =>
2010-02-24 18:24 john Status assigned => new
2010-02-24 18:24 john Description Updated
2010-03-23 18:26 john Target Version => 0.9.8
2010-04-06 20:55 john Note Added: 0000622
2011-02-22 11:48 john Relationship added related to 0000443
2011-02-22 17:34 john Target Version 0.9.8 => 1.0
2011-03-23 09:12 john Note Added: 0000695
2011-03-23 16:41 john Note Added: 0000696
2011-04-04 14:53 john Relationship added child of 0000326
2011-04-04 14:53 john Note Added: 0000710
2011-04-04 14:53 john Status new => resolved
2011-04-04 14:53 john Fixed in Version => 0.9.8
2011-04-04 14:53 john Resolution open => fixed
2011-04-04 14:53 john Assigned To => john